Nudgescribe API Reference
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
  1. Campaign Messages
  • Nudgescribe API
  • Authentication
    • Authentication
    • Authenticate
      POST
    • Re-Authenticate
      GET
  • Content
    • Customers
      • Customer Management
      • Upload and Validate Customer Data
      • Get pages
      • Get Customers
      • Delete Customers
    • Customer Groups
      • Customer Groups
      • Create Customer Group
      • Get Customer Groups
      • Update Customer Group
      • Delete Customer Group
    • Customer Profile Fields
      • Customer Profile Fields
      • Create a Custom Profile Field
      • Get Customer Profile Fields for a Workspace
      • Update Custom Fields
      • Delete Custom Fields
  • Campaigns
    • Campaign Messages
      • Campaign Messages
      • Get All Accounts Campaigns
        POST
      • Publish Messages to Secure Storage
        POST
      • Get Campaign Messages Pages
        POST
      • Retrieve Published Messages
        POST
    • Campaign Reruns
      • Campaign Reruns
      • Get Campaign Rerun History
      • Get Run Messages
      • Initiate Campaign Rerun
  1. Campaign Messages

Retrieve Published Messages

POST
https://client-api.nudgescribe.com/v1/messages/fetch
CampaignCampaign MessagesRetrieveRetrieve MessagesMessagesFiles
Downloads a specific exported message file in the requested format. Supports raw UTF-8 CSV, parsed JSON (capped at 1000 rows), or a presigned download URL. An optional run_number fetches from a historical run subdirectory. Presigned URL export is not available for historical runs.
Enables retrieval of exported messages in various formats suitable for different integration and display scenarios.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

🟢200JSON Format
application/json
Body

🟢200UTF-8 Format
🟢200URL Format
🟠400
🟠401Missing Fields
🟠401Campaign Not Found
🟠401Invalid Export Type
🟠403Unauthorised
🟠404File Not Found
🔴500
🔴500Parse Error
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://client-api.nudgescribe.com/v1/messages/fetch' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "campaign_id": "your-campaign-uuid",
    "file_num": 0,
    "export_type": "json"
}'
Response Response Example
200 - JSON Format
{
    "data": [
        {
            "customer_id": "jane-customer-uuid",
            "message": "Opening: Hey Jane, \nBody/value: Your quick 2-minute survey helps us improve. Complete it to claim a R2000 Takealot voucher.\nCTA: Tap the link to begin now.\nClosing: Reply STOP to opt out.\nAct now—voucher eligibility is time-sensitive."
        },
        {
            "customer_id": "john-customer-uuid",
            "message": "Opening: Hey John, \nBody/value: Your quick 2-minute survey helps us improve. Complete it to claim a R2000 Takealot voucher.\nCTA: Tap the link to begin now.\nClosing: Reply STOP to opt out.\nAct now—voucher eligibility is time-sensitive."
        }
    ]
}
Modified at 2026-03-11 08:54:51
Previous
Get Campaign Messages Pages
Next
Campaign Reruns
Built with